<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter/DeclarationDetailFormatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationDetailFormatter</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Fragments.html" >Fragments</a>.<a href="../DeclarationFormatter.html" >DeclarationFormatter</a>
</div><div class="class-name">class DeclarationDetailFormatter

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html" target="detail">../Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationDetailFormatter" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line271" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="DeclarationDetailFormatter-inheritance" src="DeclarationDetailFormatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#DeclarationDetailFormatter-inheritance_map" />
<map name="DeclarationDetailFormatter-inheritance_map"><area alt="Scopes/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter/DeclarationFormatter.html" href="DeclarationFormatter.html" shape="rect" coords="21, 7, 509, 31" />
</map>
 <div class="doc">Provide detail-specific Declaration formatting.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="DeclarationDetailFormatter.html#format_exceptions" >format_exceptions</a></span>(<span class="variable">self</span>, <span class="variable">oper</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationDetailFormatter.format_exceptions" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line274" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_enum">format_enum</a>(<span class="variable">self</span>, <span class="variable">enum</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationDetailFormatter.format_enum" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line287" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_enumerator">format_enumerator</a>(<span class="variable">self</span>, <span class="variable">enumerator</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationDetailFormatter.format_enumerator" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line293" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Methods Inherited from DeclarationFormatter">
<tr><td colspan="2" class="heading">Methods Inherited from DeclarationFormatter</td></tr>
<tr><td class="inherited"><a href="DeclarationFormatter.html#register" title="method DeclarationFormatter.register">register</a>,
<a href="DeclarationFormatter.html#format_parameters" title="method DeclarationFormatter.format_parameters">format_parameters</a>,
<a href="DeclarationFormatter.html#format_declaration" title="method DeclarationFormatter.format_declaration">format_declaration</a>,
<a href="DeclarationFormatter.html#format_macro" title="method DeclarationFormatter.format_macro">format_macro</a>,
<a href="DeclarationFormatter.html#format_forward" title="method DeclarationFormatter.format_forward">format_forward</a>,
<a href="DeclarationFormatter.html#format_group" title="method DeclarationFormatter.format_group">format_group</a>,
<a href="DeclarationFormatter.html#format_scope" title="method DeclarationFormatter.format_scope">format_scope</a>,
<a href="DeclarationFormatter.html#format_module" title="method DeclarationFormatter.format_module">format_module</a>,
<a href="DeclarationFormatter.html#format_meta_module" title="method DeclarationFormatter.format_meta_module">format_meta_module</a>,
<a href="DeclarationFormatter.html#format_class" title="method DeclarationFormatter.format_class">format_class</a>,
<a href="DeclarationFormatter.html#format_class_template" title="method DeclarationFormatter.format_class_template">format_class_template</a>,
<a href="DeclarationFormatter.html#format_typedef" title="method DeclarationFormatter.format_typedef">format_typedef</a>,
<a href="DeclarationFormatter.html#format_variable" title="method DeclarationFormatter.format_variable">format_variable</a>,
<a href="DeclarationFormatter.html#format_const" title="method DeclarationFormatter.format_const">format_const</a>,
<a href="DeclarationFormatter.html#format_function" title="method DeclarationFormatter.format_function">format_function</a>,
<a href="DeclarationFormatter.html#format_function_template" title="method DeclarationFormatter.format_function_template">format_function_template</a>,
<a href="DeclarationFormatter.html#format_operation" title="method DeclarationFormatter.format_operation">format_operation</a>,
<a href="DeclarationFormatter.html#format_operation_template" title="method DeclarationFormatter.format_operation_template">format_operation_template</a>,
<a href="DeclarationFormatter.html#format_parameter" title="method DeclarationFormatter.format_parameter">format_parameter</a></td></tr></table>
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format_exceptions">format_exceptions</a>(<span class="variable">self</span>, <span class="variable">oper</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref10.html#Synopsis.Formatters.HTML.Fragments.DeclarationFormatter.DeclarationDetailFormatter.format_exceptions" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Fragments/DeclarationFormatter.py.html#line274" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Prints out the full exception spec</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:09 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
